Bug 1214323 - kdm fails to start after F20->F22 upgrade. Cannot open theme /usr/share/kde4/apps/kdm/themes/F21
Summary: kdm fails to start after F20->F22 upgrade. Cannot open theme /usr/share/kde4/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-settings
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-22 12:36 UTC by Germano Massullo
Modified: 2015-04-26 12:55 UTC (History)
10 users (show)

Fixed In Version: kde-settings-22-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-26 12:55:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
screenshot (24.02 KB, image/jpeg)
2015-04-22 12:36 UTC, Germano Massullo
no flags Details
kdm.log (95.21 KB, text/plain)
2015-04-22 12:37 UTC, Germano Massullo
no flags Details

Description Germano Massullo 2015-04-22 12:36:52 UTC
Created attachment 1017407 [details]
screenshot

Description of problem:
I did a test fedup upgrade from F20 to F22 and I got error "Cannot open theme /usr/share/kde4/apps/kdm/themes/F21" when kdm started (see screenshot)

Version-Release number of selected component (if applicable):
kdm-4.11.16-11.fc22


Additional info:
I tried disabling kdm and starting sddm, and it works fine.

Comment 1 Germano Massullo 2015-04-22 12:37:17 UTC
Created attachment 1017408 [details]
kdm.log

Comment 2 Rex Dieter 2015-04-22 12:42:14 UTC
OK, theming problem, default theme is still set to f21

Comment 3 Fedora Update System 2015-04-22 13:15:12 UTC
kde-settings-22-4.fc22,f21-kde-theme-20.90-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kde-settings-22-4.fc22,f21-kde-theme-20.90-2.fc22

Comment 4 Fedora Update System 2015-04-23 16:07:34 UTC
Package kde-settings-22-4.fc22, f21-kde-theme-20.90-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-settings-22-4.fc22 f21-kde-theme-20.90-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6718/kde-settings-22-4.fc22,f21-kde-theme-20.90-2.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-04-26 12:55:07 UTC
kde-settings-22-4.fc22, f21-kde-theme-20.90-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.